FedoraForum.org - Fedora Support Forums and Community
Results 1 to 14 of 14
  1. #1
    Join Date
    Jul 2014
    Location
    EU
    Posts
    203

    dnf: Error: No packages marked for upgrade

    I've run in lxterminal 0.3.0:

    Code:
    # dnf makecache
    Last metadata expiration check: 0:00:31 ago on Fri 12 Jan 2018 01:16:14 PM CET.
    Metadata cache created.
    # rpm --rebuilddb
    # dnf --refresh --releasever=26  upgrade-minimal lxterminal
    Last metadata expiration check: 0:00:00 ago on Fri 12 Jan 2018 01:15:50 PM CET.
    Package lxterminal available, but not installed.
    No match for argument: lxterminal
    Error: No packages marked for upgrade.
    # dnf --refresh --releasever=26  upgrade lxterminal
    Last metadata expiration check: 0:00:00 ago on Fri 12 Jan 2018 01:16:14 PM CET.
    Package lxterminal available, but not installed.
    No match for argument: lxterminal
    Error: No packages marked for upgrade.

    Is it possible to fix it ?

  2. #2
    Join Date
    Dec 2012
    Location
    santa barbara, CA
    Posts
    606

    Re: dnf: Error: No packages marked for upgrade

    how about
    dnf install xterm
    run xterm, in there type
    dnf remove lxterminal
    dnf install lxterminal

    maybe ?
    "monsters John ... monsters from the ID..."
    "ma vule teva maar gul nol naya"

  3. #3
    Join Date
    Dec 2007
    Location
    Australia
    Posts
    1,675

    Re: dnf: Error: No packages marked for upgrade

    Perhaps try db_dump and db_load as outlined here:
    https://docs-old.fedoraproject.org/e...h04s05s02.html

  4. #4
    Join Date
    Jul 2014
    Location
    EU
    Posts
    203

    Re: dnf: Error: No packages marked for upgrade

    Quote Originally Posted by bobx001
    how about
    dnf install xterm
    run xterm, in there type
    dnf remove lxterminal
    dnf install lxterminal

    maybe ?
    Thank you, It could be working but I need solution for all affected packages and I don't know which are these.

  5. #5
    Join Date
    Jul 2014
    Location
    EU
    Posts
    203

    Re: dnf: Error: No packages marked for upgrade

    Quote Originally Posted by nsnbm
    Perhaps try db_dump and db_load as outlined here:
    https://docs-old.fedoraproject.org/e...h04s05s02.html
    Thank you. Unfortunately, it didn't help.

  6. #6
    Join Date
    Dec 2012
    Location
    santa barbara, CA
    Posts
    606

    Re: dnf: Error: No packages marked for upgrade

    I know that yesterday the fedora repositories were giving error 503 for a few hours. But today they are fine, maybe that de-synced your system just at the wrong time ?
    I wonder what "dnfdragora" may say to your issues.
    "monsters John ... monsters from the ID..."
    "ma vule teva maar gul nol naya"

  7. #7
    Join Date
    Jul 2014
    Location
    EU
    Posts
    203

    Re: dnf: Error: No packages marked for upgrade

    Quote Originally Posted by bobx001
    I know that yesterday the fedora repositories were giving error 503 for a few hours. But today they are fine, maybe that de-synced your system just at the wrong time ?
    I wonder what "dnfdragora" may say to your issues.
    I tried it now and same result.

    dnfdragora gives same result.

  8. #8
    Join Date
    Dec 2007
    Location
    Australia
    Posts
    1,675

    Re: dnf: Error: No packages marked for upgrade

    Looks to me like the symptions of a corrupted rpm database which your rpm command did not fix. I wonder if you have the upgraded rpm package in your f26 to use to rebuild the database. In the repositories for the f26 I used, the initial release package was rpm-4.13.0.1-14 but the upgraded one was rpm-4.13.0.2-1.

  9. #9
    Join Date
    Dec 2013
    Location
    United Kingdom
    Posts
    5,548

    Re: dnf: Error: No packages marked for upgrade

    the full sequence to clear and rebuild rpm database is below:

    Code:
    # rm -f /var/lib/rpm/__db*
    # rpm --rebuilddb

  10. #10
    Join Date
    Jul 2014
    Location
    EU
    Posts
    203

    Re: dnf: Error: No packages marked for upgrade

    Quote Originally Posted by nsnbm
    Looks to me like the symptions of a corrupted rpm database which your rpm command did not fix. I wonder if you have the upgraded rpm package in your f26 to use to rebuild the database. In the repositories for the f26 I used, the initial release package was rpm-4.13.0.1-14 but the upgraded one was rpm-4.13.0.2-1.
    Code:
    dnf list rpm
    rpm.x86_64                       4.13.0.2-1.fc26

  11. #11
    Join Date
    Jul 2014
    Location
    EU
    Posts
    203

    Re: dnf: Error: No packages marked for upgrade

    Quote Originally Posted by antikythera
    the full sequence to clear and rebuild rpm database is below:

    Code:
    # rm -f /var/lib/rpm/__db*
    # rpm --rebuilddb
    Thank you, I'm sorry it didn't help.

  12. #12
    Join Date
    Oct 2017
    Location
    GDP-Area
    Posts
    62

    Re: dnf: Error: No packages marked for upgrade

    Quote Originally Posted by boycottsystemd
    Thank you, I'm sorry it didn't help.
    Maybe i miss the point, but what do you want to achief?
    'dnf update' does not work?
    my personal repo:
    http://download.opensuse.org/repositories/home:/LogicalOne:/branches:/home:/LogicalOne/Fedora_26/home:LogicalOne:branches:home:LogicalOne.repo

  13. #13
    Join Date
    Sep 2004
    Location
    Spain
    Posts
    335

    Re: dnf: Error: No packages marked for upgrade

    I had that problem some time ago. Tried everything to rebuild the database but it was impossible. I had to backup data and go for a fresh installation.
    Linux User #365705

  14. #14
    Join Date
    Jul 2014
    Location
    EU
    Posts
    203

    Re: dnf: Error: No packages marked for upgrade

    Quote Originally Posted by Salamandra
    I had that problem some time ago. Tried everything to rebuild the database but it was impossible. I had to backup data and go for a fresh installation.
    Thank you for reply. That's most probable solution in my case too.

Similar Threads

  1. No Packages Marked for Update
    By Kimbundubobo in forum EOL (End Of Life) Versions
    Replies: 2
    Last Post: 4th February 2014, 03:30 AM
  2. Qt/OpenGl error after upgrade of packages/kernel
    By davidwriter in forum Programming & Packaging
    Replies: 0
    Last Post: 26th January 2014, 10:33 PM
  3. Upgrading from F10 to F11: No Packages marked for Update
    By eyp in forum Installation, Upgrades and Live Media
    Replies: 1
    Last Post: 12th June 2009, 09:00 PM
  4. Is it normal, updating fc11-marked packages
    By wargrey in forum Installation, Upgrades and Live Media
    Replies: 15
    Last Post: 25th December 2008, 07:24 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •